laravel
laravel5
laravel-elixir

LaravelでElixirを使うときのエラー

More than 1 year has passed since last update.

エラー

Elixirを実行するときに以下のようなErrorが出る。

Babel Compilation Failed!: Couldn't find preset "es2015" relative to directory "C:\\xampp\\htdocs\\laravel_template\\resources\\assets\\js"

presetのes2015がないってだけなのでそれを入れる。
その後、実行すると同じようにprestのreactがないと言われる。

対策

gulpgulp watchで実行する前に以下のモジュールを入れなければならない。

npm i babel-preset-es2015 -D --no-bin-links
npm i babel-preset-react -D --no-bin-links
npm i babel-preset-es2015 -D
npm i babel-preset-react -D